package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.TeacherSalaryComplaints;
import com.ym.mec.common.service.BaseService;

public interface TeacherSalaryComplaintsService extends BaseService<Long, TeacherSalaryComplaints> {

	/**
	 * 课酬申述处理
	 * @param complaints
	 */
	void complaintsDispose(TeacherSalaryComplaints complaints);

	/**
	 * 课酬申述
	 * @param complaints
	 * @return
	 */
	Object add(TeacherSalaryComplaints complaints);

	/**
	 * 获取未处理申述
	 * @param salarySettlementMonth
	 * @return
	 */
	Object findByMonth(String salarySettlementMonth);

	/**
	 * 撤销申述
	 * @param salarySettlementMonth
	 * @return
	 */
	void repealComplaints(String salarySettlementMonth);
}
